## dask.distributed 2022.02.0+ds.1

=== debian/changelog ===
dask.distributed (2022.02.0+ds.1-2) unstable; urgency=medium

  * skip test that fails on 32bit

 -- Diane Trout <diane@ghic.org>  Tue, 23 Aug 2022 17:06:52 -0700

dask.distributed (2022.02.0+ds.1-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
  * Add python-pandas-doc to Build-Depends to build documentation
  * Remove pass-host-to-local-cluster.patch applied upstream
  * Disable pytest-asyncio-0.14.patch, set-client-asyncronous-earlier.patch
    seem to be unneeded.
  * dask.distributed should be more closely tied to the dask version.
  * Add test_spillbuffer_remove_sizetest.patch to skip a failing upstream
    removed test
  * Skip two tests that were failing and removed upstream.
  * Skip block of tests that fail in network limited builder
  * Copy over some updated pytest settings from upstream's CI configuration

 -- Diane Trout <diane@ghic.org>  Tue, 23 Aug 2022 15:13:27 -0700
