=== debian/control ===
Source: dask.distributed
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-click (>= 6.6),
               python3-cloudpickle (>= 1.5.0),
               python3-cryptography <!nocheck>,
               python3-dask (>= 2022.02.0),
               python3-doc <!nodoc>,
               python3-locket,
               python3-msgpack,
               python3-numpy <!nocheck>,
               python-numpy-doc <!nodoc>,
               python3-numpydoc,
               python3-pandas <!nocheck>,
               python-pandas-doc <!nodoc>,
               python3-psutil,
               python3-pytest,
               python3-pytest-asyncio,
               python3-pytest-timeout,
               python3-setuptools,
               python3-six,
               python3-sortedcollections,
               python3-sphinx,
               python3-sphinx-click,
               python3-dask-sphinx-theme <!nodoc>,
               python3-tblib,
               python3-toolz (>= 0.8.2),
               python3-tornado (>= 5),
               python3-yaml,
               python3-zict (>= 0.1.3),
               uglifyjs,
Standards-Version: 4.6.0
Homepage: https://distributed.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/dask.distributed.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dask.distributed
Rules-Requires-Root: no

Package: python3-distributed
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pandas, python3-yaml
Description: Dask Distributed computing for Python 3
 Dask.distributed is a lightweight library for distributed computing in
 Python. It extends both the concurrent.futures and dask APIs to
 moderate sized clusters.
 .
 This contains the Python 3 version

Package: python-distributed-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Dask Distributed computing documentation
 Dask.distributed is a lightweight library for distributed computing in
 Python. It extends both the concurrent.futures and dask APIs to
 moderate sized clusters.
 .
 This contains the documentation
