=== debian/tests/control ===
Test-Command: set -e
 ; export LC_ALL=C.UTF-8
 ; export LANG=C.UTF-8
 ; export PYTEST_OPTIONS="--verbose -r s --timeout-method=thread --timeout=300 --durations=20"
 ; if [ -z "$AUTOPKGTEST_NORMAL_USER" ]; then export AUTOPKGTEST_NORMAL_USER=nobody ; fi
 ; cp setup.cfg conftest.py $AUTOPKGTEST_TMP
 ; cp distributed/tests/testegg-1.0.0-py3.4.egg $AUTOPKGTEST_TMP
 ; chown $AUTOPKGTEST_NORMAL_USER $AUTOPKGTEST_TMP
 ; cp -r distributed/tests /usr/lib/python3/dist-packages/distributed/
 ; SKIP_TESTS="test_gather_failing_cnn_error or test_value_raises_during_spilling or test_fail_write_to_disk"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ;   echo "Testing with $py:"
 ;   echo "Using user: $AUTOPKGTEST_NORMAL_USER"
 ;   runuser -u $AUTOPKGTEST_NORMAL_USER -- $py -m pytest -m "not (avoid_travis or slow or flaky)" -k "not ( $SKIP_TEST )" $PYTEST_OPTIONS --pyargs distributed  2>&1 || true
 ;   ERR=$?
 ;   echo Error code $ERR
 ;   if [ -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/ -a \! -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/lastfailed ]
 ;   then echo Tests passed; true
 ;   else echo Tests failed; false
 ;   fi
 ; done
 ; rm -rf /usr/lib/python3/dist-packages/distributed/tests
Restrictions: needs-internet, needs-root
Depends: @,
 python3-cryptography,
 python3-dill,
 python3-h5py,
 python3-ipykernel,
 python3-ipython,
# python3-ipywidgets,
 python3-joblib,
 python3-jupyter-client,
 python3-keras,
 python3-lz4,
 python3-mock,
 python3-netcdf4,
 python3-pandas,
 python3-paramiko,
 python3-pytest,
 python3-pytest-timeout,
 python3-requests,
 python3-scipy,
 python3-sklearn,
 python3-sparse,
 python3-tblib,
