=== debian/changelog ===
dask.distributed (2022.12.1+ds.1-3) unstable; urgency=medium

  * Keep working on making tests less flaky
  * rename skipped mark in d/rules from avoid_travis to avoid_ci
  * skip the same tests being skipped in d/rules
    - running the daemons isn't working reliably in our test servers.
  * The dask.distributed tests fail frequently enough that we shouldn't
    trust them.
    - mark the autopkgtests as flaky.

 -- Diane Trout <diane@ghic.org>  Thu, 09 Feb 2023 16:36:47 -0800

dask.distributed (2022.12.1+ds.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Versioned Depends python3-dask (>= 2022.12.1) to prevent debci test
    against old version
  * Standards-Version: 4.6.2
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * Add debian/salsa-ci.yml

  [ Rebecca N. Palmer ]
  * change timeouts to reduce random failures.
  * mark an intermittent failure as flaky.
  * don't stop the entire run if one test times out.
  * Remove stray files.
  * Run autopkgtest as non-root.
  * Retry flaky tests (like upstream) instead of skipping them.
    
  [ Diane Trout ]
  * Disable ivp6 tests if the autopkgtest runners lack ipv6 connectivity.
    - Add autopkgtest dependency iputils-ping for ipv6 testing
  * Add skip-32bit-incompatible-test.patch to skip tests that fail on 32bit
    They seemed to be requesting large virtual memory regions.
    - Also remove a 32bit test skip from d/rules
  * Add python3-matplotlib to autopkgtest environment to enable a few tests

 -- Diane Trout <diane@ghic.org>  Wed, 08 Feb 2023 16:32:04 -0800

dask.distributed (2022.12.1+ds.1-1) unstable; urgency=medium

  * New upsream release. (Closes: #1029232)
  * Remove the following patches, resolved upstream
    - python-3.10-loop.patch
    - test_spillbuffer_remove_sizetest.patch
    - python3.11.patch
    - set-client-asynchronous-earlier.patch
  * Install tests to simplify running autopkgtests
  * add add-test-marks.patch to define some pytest test marks
  * add skip-pyarrow-tests.path as we don't have that dependency
    - consider reviewing this patch and focusing on the specific
      modules that are importing pyarrow.
  * Refresh patches
  * Add python3-jupyter-server to Build-Depends for tests
  * Add python3-aiohttp dependency to autopkgtests
  * Remove python3-keras autopkgtest dependency, it depends
    on an unmaintained package theano which breaks during the run.
  * Move autopkgtest script to it's own file run-tests
  * Remove python-numpy-doc dependency since it's not available.
    (closes: #1028691)
  * Update list of tests that don't run correctly during build
  * attempt to implement nocheck DEB_BUILD_OPTION in d/rules
  * adjust d/rules to prevent __pycache__ directory from being shipped in
    python-distributed-doc

 -- Diane Trout <diane@ghic.org>  Sat, 21 Jan 2023 08:52:22 -0800

dask.distributed (2022.02.0+ds.1-3) unstable; urgency=high

  * Team Upload.
  * Cherry-pick and tweak upstream patch to fix FTBFS
    with py3.11 (Closes: #1026590)
  * Remove python3-sparse from test deps

 -- Nilesh Patra <nilesh@debian.org>  Thu, 05 Jan 2023 16:48:14 +0530
