## dask.distributed 2022.12.1+ds.1

=== requirements.txt ===
click >= 7.0
cloudpickle >= 1.5.0
dask == 2022.12.1
jinja2
locket >= 1.0.0
msgpack >= 0.6.0
packaging >= 20.0
psutil >= 5.0
sortedcontainers !=2.0.0, !=2.0.1
tblib >= 1.6.0
toolz >= 0.10.0
tornado >= 6.0.3
urllib3
zict >= 0.1.3
pyyaml
