=== docs/requirements.txt ===
numpydoc
tornado
toolz
cloudpickle
git+https://github.com/dask/dask
sphinx
dask-sphinx-theme>=3.0.0
sphinx-click
