=== debian/control ===
--- 
+++ 
@@ -9,18 +9,19 @@
                python3-click (>= 6.6),
                python3-cloudpickle (>= 1.5.0),
                python3-cryptography <!nocheck>,
-               python3-dask (>= 2022.02.0),
+               python3-dask (>= 2022.12.1),
                python3-doc <!nodoc>,
+               python3-jupyter-server <!nocheck>,
                python3-locket,
                python3-msgpack,
                python3-numpy <!nocheck>,
-               python-numpy-doc <!nodoc>,
                python3-numpydoc,
                python3-pandas <!nocheck>,
                python-pandas-doc <!nodoc>,
                python3-psutil,
                python3-pytest,
                python3-pytest-asyncio,
+               python3-pytest-rerunfailures <!nocheck>,
                python3-pytest-timeout,
                python3-setuptools,
                python3-six,
@@ -34,7 +35,7 @@
                python3-yaml,
                python3-zict (>= 0.1.3),
                uglifyjs,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://distributed.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask.distributed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask.distributed
@@ -42,7 +43,9 @@
 
 Package: python3-distributed
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-dask (>= 2022.12.1)
 Recommends: python3-pandas, python3-yaml
 Description: Dask Distributed computing for Python 3
  Dask.distributed is a lightweight library for distributed computing in
