## dask.distributed 2023.8.0+ds.1

=== debian/changelog ===
dask.distributed (2023.8.0+ds.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Upstream stopped embeding versioneer.
    - Remove reproducible-version.patch
    - Add python3-versioneer build dependency
    - add pybuild-plugin-pyproject.toml
  * Update use-local-intersphinx-inventory to skip numpy & bokeh docs
  * Update mark-tests-require-installation.patch to declare isinstalled
    as a valid pytest mark
  * Add skip-coverage-test.patch to not pass --cov-config=pyproject.toml
    to pytest. It didn't work on Debian at this time.
  * Update skip-pyarrow-tests.patch with new tests to skip.
  * Add tzdata-legacy to allow using deprecated timezones in tests
  * copy pyproject.toml instead of setup.cfg in autopkgtests
  * Update list of tests that have problems during build and autopkgtests
  * Update required dask version to >= 2023.8.0

 -- Diane Trout <diane@ghic.org>  Thu, 10 Aug 2023 19:11:53 -0700
