=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               pybuild-plugin-pyproject,
                python3-click (>= 6.6),
                python3-cloudpickle (>= 1.5.0),
                python3-cryptography <!nocheck>,
-               python3-dask (>= 2022.12.1),
+               python3-dask (>= 2023.8.0),
                python3-doc <!nodoc>,
                python3-jupyter-server <!nocheck>,
                python3-locket,
@@ -32,8 +33,10 @@
                python3-tblib,
                python3-toolz (>= 0.8.2),
                python3-tornado (>= 5),
+               python3-versioneer,
                python3-yaml,
                python3-zict (>= 0.1.3),
+               tzdata-legacy,
                uglifyjs,
 Standards-Version: 4.6.2
 Homepage: https://distributed.readthedocs.io/en/latest/
