=== debian/rules ===
--- 
+++ 
@@ -1,28 +1,6 @@
 #!/usr/bin/make -f
 
-SKIP=test_reconnect \
-     or test_jupyter_server \
-     or test_stack_overflow \
-     or test_pause_while_spilling \
-     or test_digests \
-     or test_dashboard_host \
-     or test_runspec_regression_sync \
-     or test_popen_timeout \
-     or test_runspec_regression_sync \
-     or test_client_async_before_loop_starts \
-     or test_plugin_internal_exception \
-     or test_client_async_before_loop_starts \
-     or test_web_preload \
-     or test_web_preload_worker \
-     or test_bandwidth_clear \
-     or test_include_communication_in_occupancy \
-     or test_worker_start_exception \
-     or test_task_state_instance_are_garbage_collected \
-     or test_spillbuffer_oserror \
-     or test_release_retry \
-     or test_timeout_zero \
-
-
+SKIP=test_git_revision or test_jupyter_idle_timeout_returned
 
 export PYBUILD_NAME=distributed
 export PYBUILD_TEST_ARGS=$(CURDIR)/distributed/tests -v \
