=== debian/tests/control ===
--- 
+++ 
@@ -30,3 +30,4 @@
  python3-scipy,
  python3-sklearn,
  python3-tblib,
+ tzdata-legacy,
