## dask.distributed 2023.12.1+ds

=== debian/changelog ===
dask.distributed (2023.12.1+ds-4) unstable; urgency=medium

  * Depend on libjs-sortable-tablesort at build to get vendored JS code

 -- Julian Gilbey <jdg@debian.org>  Mon, 15 Jan 2024 08:55:52 +0000

dask.distributed (2023.12.1+ds-3) unstable; urgency=medium

  * Remove redundant broken link (closes: #988675)
  * This (or an earlier) version of dask.distributed has also closed old
    bugs (closes: #904944, #905540, #995735)

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Jan 2024 07:13:17 +0000

dask.distributed (2023.12.1+ds-2) unstable; urgency=medium

  * Fix filenames of minified JavaScript files
  * Fix test_pandas test

 -- Julian Gilbey <jdg@debian.org>  Wed, 03 Jan 2024 18:27:59 +0000

dask.distributed (2023.12.1+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2023.12.1+ds (needed to pass tests with Python 3.12)
  * Refresh patches
  * Fix sphinx config error (closes: #1057950)
  * Skip some failing tests (test_process_executor_kills_process hangs,
    test_steal_twice and test_client_worker fail)
  * Depend on patched version of jupyter-server for Python 3.12 tests
  * Use vendored copies of libjs-sortable-tablesort files until the
    package is accepted into unstable

 -- Julian Gilbey <jdg@debian.org>  Tue, 02 Jan 2024 22:18:53 +0000
