=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               libjs-sortable-tablesort,
                python3-all,
                pybuild-plugin-pyproject,
                python3-click (>= 6.6),
                python3-cloudpickle (>= 1.5.0),
                python3-cryptography <!nocheck>,
-               python3-dask (>= 2023.8.0),
+               python3-dask (>= 2023.12.1),
                python3-doc <!nodoc>,
-               python3-jupyter-server <!nocheck>,
+               python3-jupyter-server (>= 1.23.3-2) <!nocheck>,
                python3-locket,
                python3-msgpack,
                python3-numpy <!nocheck>,
@@ -30,12 +31,13 @@
                python3-sphinx,
                python3-sphinx-click,
                python3-dask-sphinx-theme <!nodoc>,
+               python3-sphinx-design <!nodoc>,
                python3-tblib,
                python3-toolz (>= 0.8.2),
                python3-tornado (>= 5),
                python3-versioneer,
                python3-yaml,
-               python3-zict (>= 0.1.3),
+               python3-zict (>= 3.0.0),
                tzdata-legacy,
                uglifyjs,
 Standards-Version: 4.6.2
@@ -48,7 +50,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-dask (>= 2022.12.1)
+         python3-dask (>= 2023.12.1)
 Recommends: python3-pandas, python3-yaml
 Description: Dask Distributed computing for Python 3
  Dask.distributed is a lightweight library for distributed computing in
