=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-SKIP=test_git_revision or test_jupyter_idle_timeout_returned
+SKIP=test_git_revision or test_jupyter_idle_timeout_returned or test_process_executor_kills_process or test_steal_twice or test_client_worker
 
 export PYBUILD_NAME=distributed
 export PYBUILD_TEST_ARGS=$(CURDIR)/distributed/tests -v \
@@ -13,8 +13,8 @@
   --timeout=300 \
   -m "not (avoid_ci or isinstalled or slow)" -k "not ( $(SKIP) )"
 
-export NEEDED_JS=distributed/http/static/js/anime.js \
-                 distributed/http/static/js/reconnecting-websocket.js
+export NEEDED_JS=distributed/http/static/js/anime.min.js \
+                 distributed/http/static/js/reconnecting-websocket.min.js
 DEB_BUILD_OPTIONS += $(filter nodoc,$(DEB_BUILD_PROFILES))
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -25,8 +25,10 @@
 	rm -f distributed/comm/tests/__init__.py
 	set -e; \
 	for p in ${NEEDED_JS}; do \
-	    uglifyjs -o $$p debian/missing-sources/$$p ; \
+	    uglifyjs -o $$p debian/missing-sources/$${p%.min.js}.js ; \
 	done
+	cp /usr/share/javascript/sortable-tablesort/sortable.min.js distributed/http/static/js
+	cp /usr/share/javascript/sortable-tablesort/sortable.min.css* distributed/http/static/css
 	chmod a-x distributed/tests/test_utils_test.py
 	dh_auto_build
 #	ln -s /usr/share/javascript/mathjax docs/source/_static
