=== debian/tests/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
 # python3-ipywidgets,
  python3-joblib,
  python3-jupyter-client,
- python3-jupyter-server,
+ python3-jupyter-server (>= 1.23.3-2),
 # keras imports theanos which fails
 #  theano/scalar/basic.py(2370)<module>() -> convert_to_bool = Cast(bool, name='convert_to_bool')
 #  theano/scalar/basic.py(2323)__init__() -> self.ctor = getattr(np, o_type.dtype)
 #  numpy/__init__.py(284)__getattr__() -> raise AttributeError("module {!r} has no attribute np.bool")
 # python3-keras,
  python3-lz4,
- python3-mock,
  python3-matplotlib,
  python3-netcdf4,
  python3-pandas,
