## dask.distributed 2024.5.2+ds.1

=== debian/changelog ===
dask.distributed (2024.5.2+ds.1-2~deepin1) UNRELEASED; urgency=medium

  * nocheck, nodoc

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 21 Jun 2024 16:14:41 +0800

dask.distributed (2024.5.2+ds.1-2) unstable; urgency=medium

  * Team upload.
  * mark-tests-flaky.patch: capture more flaky tests.
  * d/control: hardcode python3-dask version lock.
    There is a small difference in repack extension preventing the trick.
  * d/s/lintian-overrides: remove: now unneeded.
  * skip-pyarrow-tests.patch: skip newly introduced test.
  * d/rules: rewrap SKIP variable to facilitate readability.
  * d/rules: skip tests needing Internet. (Closes: #1066799)
  * d/{control,rules}: activate autopkgtest-pkg-pybuild.
    This test complements the existing flaky autopkgtest test that
    requires a testbed with Internet connection.
  * d/t/run-tests: skip test failing reported upstream.
    On python3.12, some failures to serialize may return RecursionErrors
    instead of the expected TypeError and its message "Could not serialize
    object" until this minor issue is resolved.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jun 2024 21:21:07 +0200

dask.distributed (2024.5.2+ds.1-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove obsolete python3-six build-dep

  [ Étienne Mollier ]
  * New upstream version 2024.5.2+ds.1
  * skip-pyarrow-tests.patch: refresh.
  * adjust-timeouts.patch: refresh.
  * fix-pandas-test.patch: delete: applied upstream.
  * Unfuzz patches.
  * d/{rules,t/run-tests}: workaround test failures.
    The test failures are caused by FutureWarning raised on dask.dataframe
    import, which would be solved by making dask_expr module available,
    but it is not part of Debian yet.  Setting configuration option
    "dataframe.query-planning" to False bypasses both the dask_expr import
    attempt and the subsequent FutureWarning.
  * d/README.source: new.
    Document that dask and dask.distributed must be kept synchronized.
  * use-youtube-nocookie.patch: adjust another video.
  * d/control: python-distributed-doc depends on sass-stylesheets-bulma.
  * fix-privacy-breaches.patch: new: use Debian provided CSS file.
  * d/t/control: tests depend on python3-all.
    Ensure py3versions --supported can capture all interpreters indeed.
  * d/copyright: remove unused Unlicense paragraph.
  * d/rules: cleanup spurious license text tripping lintian.
  * d/{control,s/lintian-overrides}: force dask coupling.
    dask and dask.distributed need being upgraded in lockstep.  To limit
    multiple copies of the current dask.distributed version in d/control,
    ${source:Version} is used for the binary package dependency (it is not
    usable for the source package build dependency), but since it is not
    normal to couple a source package version to another source package,
    the change also requires a lintian override.
    Thanks to Julian Gilbey <jdg@debian.org>
  * mark-tests-flaky.patch: declare test_collections_metadata flaky too.

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Jun 2024 18:45:33 +0200
