=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-tests
 Restrictions: needs-internet, flaky
 Depends: @,
+ python3-all,
  iputils-ping,
  python3-aiohttp,
  python3-cryptography,
